Bug 409801 - rhythmbox stops executions due to possible gstreamer errors.
rhythmbox stops executions due to possible gstreamer errors.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-04 03:03 EST by Frederik Hertzum
Modified: 2007-12-13 15:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-13 15:26:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Frederik Hertzum 2007-12-04 03:03:42 EST
Description of problem:
hythmbox stops executions due to gstreamer errors.

Version-Release number of selected component (if applicable):
0.11.3-3.fc8

How reproducible:
Always

Steps to Reproduce:
1. Update to Rhythmbox 0.11.3-3.fc8
2. Start rhythmbox
3.
  
Actual results:
The program crashes with the following output:

(rhythmbox:2736): GStreamer-WARNING **: Failed to load plugin
'/usr/lib64/gstreamer-0.10/libgstfaac.so': libmp4v2.so.0: kan ikke åbne delt
objektfil: Ingen sådan fil eller filkatalog

(rhythmbox:2736): GStreamer-WARNING **: Failed to load plugin
'/usr/lib64/gstreamer-0.10/libgstffmpeg.so': libmp4v2.so.0: kan ikke åbne delt
objektfil: Ingen sådan fil eller filkatalog

(rhythmbox:2736): GStreamer-WARNING **: Failed to load plugin
'/usr/lib64/gstreamer-0.10/libgstpostproc.so': libmp4v2.so.0: kan ikke åbne delt
objektfil: Ingen sådan fil eller filkatalog


Expected results:
Rhythmbox should works as normal.

Additional info:
This is not present in previous versions and installing 0.11.2-10.fc8 makes the
bug go away. I have not observed the same problems with other gstreamer programs
and the fact that previous version of rhythmbox works fine with the same
gstreamer binaries leads me to conclude that the problem lies in this particular
version of rhythmbox.
Comment 1 Bastien Nocera 2007-12-04 05:45:35 EST
Please gather debug messages in English. Thanks.
Comment 2 Frederik Hertzum 2007-12-05 04:14:27 EST
I will not be able to produce this untill at the end of the week.
Comment 3 Bastien Nocera 2007-12-05 06:22:13 EST
Please don't take the bug out of NEEDINFO if you're not providing the data
requested.

From what I can see, the problems you're seeing are not with packages provided
by Fedora though, so you should file a bug with whoever provided gst-ffmpeg and co.
Comment 4 Frederik Hertzum 2007-12-05 09:49:21 EST
I will file a bugreport with the packager of gst-ffmpeg -- but please also note
that I have not observed the behaviour with other programmes that use gstreamer
and that previouse verisions of rhythmbox work fine with the same plugins and
gstreamer binaries.

Something in rhythmbox changed that made this behaviour surface -- not gst-ffmpeg.

A translation of "kan ikke åbne delt objektfil: Ingen sådan fil eller
filkatalog" would be "cannot open shared objectfile: No such file or directory".
I cannot guarantee that the wording is exactly the same. I hope it's as much
help as having the actual text from the english debug information.
Comment 5 Hans de Goede 2007-12-13 12:05:36 EST
What does:
rpm --verify ffmpeg-libs faac
Give as output?

And what does:
rpm --verify libmp4v2
Give as output?

libmp4v2 should be required by ffmpeg-libs and faac, and thus be installed.
Comment 6 Frederik Hertzum 2007-12-13 15:26:35 EST
rpm --verify ffmpeg-libs faac returned the error:
fejl: Failed dependencies:
        libfaac.so.0()(64bit) is needed by (installed)
ffmpeg-libs-0.4.9-0.41.20071011.lvn8.x86_64
        libfaac.so.0()(64bit) is needed by (installed)
libquicktime-1.0.1-1.lvn8.x86_64
        libfaac.so.0()(64bit) is needed by (installed)
gstreamer-plugins-bad-0.10.5-10.lvn8.x86_64

Installing libmpv4v2 fixed the problem and updating rhythmbox no-longer results
in errors. Marking this as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.